Bug 21188 - t/db_dependent/Circulation/issue.t is failing
Summary: t/db_dependent/Circulation/issue.t is failing
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 20660
Blocks:
  Show dependency treegraph
 
Reported: 2018-08-09 13:27 UTC by Nick Clemens
Modified: 2018-08-10 08:00 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 21188: Convert return_date to a DateTime object (885 bytes, patch)
2018-08-09 13:29 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 21188: Convert return_date to a DateTime object (965 bytes, patch)
2018-08-09 13:52 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2018-08-09 13:27:20 UTC
Stems from  bug 20660

The issue seems to be that $return_date is a string and not a DateTime object - when we call _debar_user_on_return we are expecting a DateTime object
Comment 1 Nick Clemens 2018-08-09 13:29:18 UTC
Created attachment 77622 [details] [review]
Bug 21188: Convert return_date to a DateTime object
Comment 2 Nick Clemens 2018-08-09 13:38:25 UTC
(In reply to Nick Clemens from comment #1)
> Created attachment 77622 [details] [review] [review]
> Bug 21188: Convert return_date to a DateTime object

To test:
1 - Checkout an item
2 - Make it over due:
update issues set date_due='1999-01-01';
3 - Go to 'Circulation->Check-in'
4 - Specify a return date
5 - Check in the item
6 - Internal server error
7 - Apply patch
8 - Repeat 1-5
9 - Success!
10 - prove t/db_dependent/Circulation/issue.t
Comment 3 Jonathan Druart 2018-08-09 13:52:19 UTC
Created attachment 77627 [details] [review]
Bug 21188: Convert return_date to a DateTime object

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Nick Clemens 2018-08-09 15:23:39 UTC
Minor fix, moving to PQA
Comment 5 Nick Clemens 2018-08-09 15:26:46 UTC
Awesome work all!

Pushed to master for 18.11
Comment 6 Martin Renvoize 2018-08-10 08:00:41 UTC
Pushed to 18.05.x for 18.05.03